Bug 819174 - [abrt] gnuplot-4.4.3-3.fc16: wxtPanel::wxt_cairo_refresh: Process /usr/bin/gnuplot-wx was killed by signal 11 (SIGSEGV)
[abrt] gnuplot-4.4.3-3.fc16: wxtPanel::wxt_cairo_refresh: Process /usr/bin/gn...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:9816dc954e269d951e3f8908b83...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 06:52 EDT by Abdelmalek BENKOUIDER
Modified: 2012-08-17 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 08:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (4.76 KB, text/plain)
2012-05-05 06:52 EDT, Abdelmalek BENKOUIDER
no flags Details
File: backtrace (39.36 KB, text/plain)
2012-05-05 06:52 EDT, Abdelmalek BENKOUIDER
no flags Details
File: maps (43.72 KB, text/plain)
2012-05-05 06:52 EDT, Abdelmalek BENKOUIDER
no flags Details
File: dso_list (9.87 KB, text/plain)
2012-05-05 06:52 EDT, Abdelmalek BENKOUIDER
no flags Details

  None (edit)
Description Abdelmalek BENKOUIDER 2012-05-05 06:52:41 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnuplot
crash_function: wxtPanel::wxt_cairo_refresh
executable:     /usr/bin/gnuplot-wx
kernel:         3.3.4-1.fc16.x86_64
pid:            4534
pwd:            /home/malek/ImageJ/stage/CH/data
reason:         Process /usr/bin/gnuplot-wx was killed by signal 11 (SIGSEGV)
time:           sam. 05 mai 2012 12:50:04 CEST
uid:            1000
username:       malek
xsession_errors: 

backtrace:      Text file, 40306 bytes
dso_list:       Text file, 10108 bytes
event_log:      Text file, 4875 bytes
maps:           Text file, 44772 bytes

build_ids:
:7343d35696ce251688ece0a26e457e61ca805cfd
:84b11ab3a043dc234c53c6c83d9a8aa37af97695
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:bba7258720d76248bf4777c7b466e1c20c680fe7
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:460eb197d84b119c8ba93737cd0e4486a96a0be0
:32043a4ded0564b5068ef09128c7644695a3963b
:3bbe4d98714c66cda2944cd39900eea5d348df18
:638db099ff5fb986d1a092629d1bb1dca5be4904
:4447818ebc2030f6435d7e8ceb49580f74a50fbb
:6788b943089846e98f7dc9cdb5dca63924909b25
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:400444fb368f79b54959b083f449a1497bf71c13
:4c7656ea90bd9aac5868918534e8b75cca7fae5a
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:4cd8fa570a1bbc72cf724584eff76012b2f80b57
:b5d39e0f4377ef6692f37a55d4e32f1bc5e81927
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:124bfd663f5587288e6e0da8497fb4153469e657
:23b6792e3218744316fd495002f40a037c2e0095
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:de67020b38433de046b89471939e7375ab1c5e6c
:47daa4004e7af3441402087cdf25564514e85ae6
:f0d50e3af2dfee021a327fb85a993a2312a98145
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:1f3caf8722ff4ca4559b28843e1104ac8e06788f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:cddc16ea1f5c8d1f63ca02932cfbad4278e6c95f
:b2addb78b534f66e1c4fb01a407861181151bd8a
:be507c791e34415e8f42f0e6030c889b2895cf9a
:361b4145c3356aba1fc65025a8f8df2cdbd18185
:e982a67c98e50c7c68039aec0859bc4dfc896270
:d1f449ab402c1591c9ccc2167cc98d4981eada2e
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:39294193f046cf15442542705526228c60d70a6e
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:aa733447f84020c94a66814e501a36e248cbb43d
:a638ccc3535e307dfbe8338df04ee414b42a606c
:aaf62304b0fc10611d35b4f56005479d4c58868d
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:578e66700318d8cec8e5f03778c434743a55e153
:12ebe599358398f2c1a5294bb2dd387545474b65
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:0406c8897981d337d73f9725dc848f7755b924bb
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:04b0ecd10fd4dfc8c12f6842992b9de62487068f
:4c842320387ff7f6f91b7842b223c16518be909f
:12731f28715a83871b8b24ac4c85492a28104773
:75eaece6e0d1e075520cdfad5c398fdab4370846
:bb442681cac85880538d218a90e4969a57ca6888
:07470201df55a5254027d05fa4dc509b10f2986a
:5668ffb344805c124a6ccddfbfe357f01d7f8cc1
:60ca10e0af44d130477be7083f6716ddc10fb748
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:f6c579b56080c9f819289e84629816eec09165cb
:719a85c49c612de86619fed98146f316432aee92
:05c070746d7178d55193087352d511b7e3ba329b
:8b0f0f32d4400b2bf7632c55f013226297f44d17
:e5429e0905bedecc534b057783916ba43e06a66e
:6fa46c9f11304fe8ffcb8f7f4c4f73a12cc27821
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4953d1f613914126bccceb3cb96386647ffba9df
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:e9818b9ec1e0e9fd613160742a2859610878d577
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:a3ee5d57d91782d3bc79d26becff801c08613ec7
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:4ec4367d62a296374fb15bdbbb9dca891fa94e92
:feb0e5f69ad33c6273b56e2258af75eddfa51d72
:7a896ce784b97721d1f6960bfba25e60511c0178
:c5712dc2a74dc692feb48476a277cad31f592dde
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=TOSH-Abdelmalek
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-fTANij/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XCRYSDEN_SCRATCH=/home/malek/XCrySDen
:XDG_SESSION_COOKIE=faf387a5c63995453b1f77200000000f-1336204734.405664-289306325
:PT5HOME=/usr/local/PacketTracer5
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=37748741
:OLDPWD=/home/malek/ImageJ/stage/CH
:GNOME_KEYRING_CONTROL=/tmp/keyring-fTANij
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=malek
:XCRYSDEN_TOPDIR=/usr/local/XCrySDen
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-fTANij/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1485,unix/unix:/tmp/.ICE-unix/1485
:USERNAME=malek
:PATH=/usr/local/XCrySDen:/usr/lib64/ccache:/usr/local/XCrySDen:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/local/XCrySDen/scripts:/usr/local/XCrySDen/util:/home/malek/.local/bin:/home/malek/bin:/usr/local/XCrySDen/scripts:/usr/local/XCrySDen/util
:MAIL=/var/spool/mail/malek
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/malek/ImageJ/stage/CH/data
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1479
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/malek
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=malek
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YFiGVUssca,guid=24032647c8c84e4a527be9f800000047
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/malek
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-malek-q5DCyv/database
:_=/usr/bin/gnuplot

smolt_data:
:
:
:Général
:=================================
:UUID: c6d6e659-f5a1-4eff-a9dc-bb55704cd1ee
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4588.63
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Pentium(R) Dual-Core CPU       T4500  @ 2.30GHz
:Stepping du processeur: 10
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2300
:Mémoire du système: 3825
:Swap du système: 0
:Fabricant: TOSHIBA
:Système: Satellite C650 PSC08E-02Y00DFR
:Type d'ordinateur: Notebook
:Noyau: 3.3.4-1.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(6505:8288:4473:65310) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(32902:10818:4473:64992) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:64992) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5772:43:5199:29017) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4473:65310) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 9784373 3363793 2873502 2452800 1770012 1770012
:/dev/sda3 WITHHELD fuseblk 4096 4096 51199999 31268085 31268085 125170644 125134278 125134278
:/dev/sda2 WITHHELD fuseblk 4096 4096 60987903 39798319 39798319 159488188 159299249 159299249
:

var_log_messages:
:May  5 12:50:04 TOSH-Abdelmalek kernel: [10341.459859] gnuplot[4582]: segfault at 10 ip 00000000004ed2c0 sp 00007f3ac52a7ae0 error 4 in gnuplot-wx[400000+147000]
:May  5 12:50:06 TOSH-Abdelmalek abrt[4585]: Saved core dump of pid 4534 (/usr/bin/gnuplot-wx) to /var/spool/abrt/ccpp-2012-05-05-12:50:04-4534 (66576384 bytes)
Comment 1 Abdelmalek BENKOUIDER 2012-05-05 06:52:47 EDT
Created attachment 582277 [details]
File: event_log
Comment 2 Abdelmalek BENKOUIDER 2012-05-05 06:52:49 EDT
Created attachment 582278 [details]
File: backtrace
Comment 3 Abdelmalek BENKOUIDER 2012-05-05 06:52:51 EDT
Created attachment 582279 [details]
File: maps
Comment 4 Abdelmalek BENKOUIDER 2012-05-05 06:52:53 EDT
Created attachment 582280 [details]
File: dso_list
Comment 5 Peter Schiffer 2012-07-19 06:28:56 EDT
Hi Abdelmalek,

please, do you remember what you were doing when this error occurred? How did you run the gnuplot or with what data?

Thanks,

peter
Comment 6 Peter Schiffer 2012-08-17 08:26:15 EDT
I am closing this as insufficient data. According to the backtrace, this could be one time problem with:

wxt_iter = <error reading variable wxt_iter (Cannot access memory at address 0x10)>

where wxt_iter is properly initialized C++ iterator.

Feel free to reopen this ticket if you are able to reproduce this error and provide more information about it.

Thanks,

peter

Note You need to log in before you can comment on or make changes to this bug.